import { IScheduler } from './src/main/IScheduler';
import { ITestSchedulerOptions } from './src/main/ITestSchedulerOptions';
import { TestScheduler } from './src/main/TestScheduler';
/**
 * E X P O R T S
 */
/**
 * Used for writing tests.
 *
 * ```ts
 * import {testScheduler} from 'ts-scheduler/test'
 *
 * const scheduler = testScheduler()
 *
 * scheduler.asap({execute: () => console.log('Hi!')})
 *
 * // Doesn't execute until run() is called
 * scheduler.run()
 * ```
 *
 */
export declare const testScheduler: (options?: Partial<ITestSchedulerOptions>) => TestScheduler;
export { TestScheduler } from './src/main/TestScheduler';
/**
 * Optional version of [[ITestSchedulerOptions]] which is provided as input.
 */
export declare type SchedulerOptions = Partial<ITestSchedulerOptions>;
export { ICancellable } from './src/cancellables/ICancellable';
export { IScheduler };
export declare const scheduler: IScheduler;
