"use strict";
/* tslint:disable:file-name-casing */
Object.defineProperty(exports, "__esModule", { value: true });
const GetTicker_1 = require("./src/internals/GetTicker");
const Scheduler_1 = require("./src/main/Scheduler");
const TestScheduler_1 = require("./src/main/TestScheduler");
/**
 * E X P O R T S
 */
/**
 * Used for writing tests.
 *
 * ```ts
 * import {testScheduler} from 'ts-scheduler/test'
 *
 * const scheduler = testScheduler()
 *
 * scheduler.asap({execute: () => console.log('Hi!')})
 *
 * // Doesn't execute until run() is called
 * scheduler.run()
 * ```
 *
 */
exports.testScheduler = (options = {}) => new TestScheduler_1.TestScheduler(options);
var TestScheduler_2 = require("./src/main/TestScheduler");
exports.TestScheduler = TestScheduler_2.TestScheduler;
exports.scheduler = new Scheduler_1.Scheduler(GetTicker_1.GetTicker());
